// header

@mixin headerInfo {
    font-family: 'Montserrat';
    font-weight: 600;
    font-style: normal;
    font-size: 18px;
    color: $black;
}

@mixin productName {
    font-family: 'Montserrat';
    font-weight: 600;
    font-style: normal;
    font-size: 16px;
    color: transparent;
    margin-left: 20px;
    
    @media (max-width: 1440px) {
        font-size: 14px;
    }

    @media (max-width: 425px) {
        font-size: 12px;
        margin-left: 15px;
    }
}

@mixin counter {
    font-family: 'Montserrat';
    font-weight: 700;
    font-size: 10px;
    color: $black;
    background-color: $red;
    color: $white;
    border-radius: 100%;
    position: absolute;
    top: -5px;
    right: -10px;
    width: 20px;
    height: 20px;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
}

// section

@mixin section {
    &:not(:first-child) {
        padding-top: 100px;
    }
    
    @media (max-width: 1440px) {
        &:not(:first-child) {
            padding-top: 90px;
        }
    }

    @media (max-width: 1024px) {
        &:not(:first-child) {
            padding-top: 80px;
        }
    }

    @media (max-width: 768px) {
        &:not(:first-child) {
            padding-top: 70px;
        }
    }

    @media (max-width: 425px) {
        &:not(:first-child) {
            padding-top: 60px;
        }
    }
}

// title 

@mixin titleMain {
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    font-size: 65px;
    line-height: 1.3;
    text-align: center;
    color: $black;
    margin-top: 150px;
    margin-bottom: 50px;

    @media (max-width: 1440px) {
        font-size: 52px;
        margin-top: 140px;
        margin-bottom: 40px;
    }

    @media (max-width: 1024px) {
        font-size: 42px;
        margin-top: 130px;
        margin-bottom: 30px;
    }

    @media (max-width: 768px) {
        font-size: 34px;
        margin-top: 120px;
        margin-bottom: 20px;
    }

    @media (max-width: 425px) {
        font-size: 28px;
        margin-top: 110px;
        margin-bottom: 10px;
    }
}

@mixin titleSection {
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    font-size: 45px;
    line-height: 1.3;
    text-align: center;
    color: $black;
    margin-bottom: 10px;

    @media (max-width: 1440px) {
        font-size: 36px;
    }

    @media (max-width: 1024px) {
        font-size: 29px;  
    }

    @media (max-width: 768px) {
        font-size: 23px;
    }

    @media (max-width: 425px) {
        font-size: 18px; 
    }
}

@mixin titleBlock {
    font-family: 'Montserrat';
    font-weight: 400;
    font-style: normal;
    font-size: 36px;
    text-align: center;
    color: $black;
    margin-bottom: 100px;
    
    @media (max-width: 1440px) {
        font-size: 29px;
        margin-bottom: 80px;
    }

    @media (max-width: 1024px) {
        font-size: 23px;
        margin-bottom: 60px;
    }

    @media (max-width: 768px) {
        font-size: 18px;
        margin-bottom: 40px;
    }

    @media (max-width: 425px) {
        font-size: 14px;
        margin-bottom: 20px;
    }
}

// block__text 

@mixin blockText {
    font-family: 'Montserrat';
    font-weight: 400;
    font-size: 16px;
    color: $black;

    @media (max-width: 1024px) {
        font-size: 14px;
    }

    @media (max-width: 768px) {
        font-size: 12px;
    }

}

// slider 

@mixin slideTitle {
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    font-size: 20px;
    margin-bottom: 20px;
    color: $black;

    @media (max-width: 1440px) {
        font-size: 18px;
    }

    @media (max-width: 768px) {
        font-size: 16px;
    }
}

@mixin slideText {
    font-family: 'Montserrat';
    font-weight: 400;
    font-style: normal;
    font-size: 16px;
    color: $black;
   
    @media (max-width: 1440px) {
        font-size: 14px;
    }

    @media (max-width: 768px) {
        font-size: 12px;
    }
}

// card 

@mixin cardTitle {
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    font-size: 16px;
    line-height: 1.35;
    color: $black;

    @media (max-width: 768px) {
        font-size: 12px;
    }
}

@mixin cardVendorCode {
    font-family: 'Montserrat';
    font-weight: 300;
    font-style: normal;
    font-size: 14px;
    line-height: 1.55;
    color: $gray;

    @media (max-width: 768px) {
        font-size: 10px;
    }
}

@mixin cardText {
    font-family: 'Montserrat';
    font-weight: 300;
    font-style: normal;
    font-size: 14px;
    line-height: 1.55;
    color: $black;

    @media (max-width: 768px) {
        font-size: 10px;
    }
}

@mixin newPrice {
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    font-size: 18px;
    line-height: 1.35;
    color: $black;

    @media (max-width: 768px) {
        font-size: 12px;
    }
}

@mixin oldPrice {
    font-family: 'Montserrat';
    font-weight: 400;
    font-style: normal;
    font-size: 18px;
    line-height: 1.35;
    text-decoration: line-through;
    color: $gray;
    padding-left: 20px;

    @media (max-width: 768px) {
        font-size: 12px;
    }
}

@mixin addToBasket {
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    font-size: 14px;
    line-height: 1.55;
    color: $white;
    background-color: $red;
    width: 160px;
    height: 45px;
    border-radius: 20px;
    text-align: center;
    border: none;
    transition: 0.4s ease;
    cursor: pointer;
    position: relative;
    overflow: hidden;

    &:hover {
        scale: 1.1;
    }

    .fa-shopping-cart {
		position: absolute;
		z-index: 2;
		top: 60%;
		left: -20%;
		transform: translate(-50%, -50%);

        img {
            width: 25px;
        }
	}

	.fa-square {
		position: absolute;
		z-index: 1;
		top: -20%;
		left: 53%;
		transform: translate(-50%, -50%);

        img {
            width: 5px;
        }
	}

	span {
		position: absolute;
		left: 50%;
		top: 50%;
		color: #fff;
		transform: translate(-50%, -50%);
	}

	span.added {
		opacity: 0;
	}

    &.clicked {
        background-color: #2ff22e;

        .fa-shopping-cart {
            animation: cart 2s ease-in forwards;
        }

        .fa-square {
            animation: box 2s ease-in forwards;
        }

        span.add-to-cart {
            animation: addcart 2s ease-in forwards;
        }

        span.added {
            animation: added 2s ease-in forwards;
        }
    }

    @keyframes cart {
        0% {
          left: -10%;
        }
      
        40%,
        60% {
          left: 50%;
        }
      
        100% {
          left: 110%;
        }
      }
      
      @keyframes box {
        0%,
        40% {
          top: -20%;
        }
      
        60% {
          top: 36%;
          left: 53%;
        }
      
        100% {
          top: 40%;
          left: 112%;
        }
      }
      
      @keyframes addcart {
        0%,
        30% {
          opacity: 1;
        }
      
        30%,
        100% {
          opacity: 0;
        }
      }
      
      @keyframes added {
        0%,
        80% {
          opacity: 0;
        }
      
        100% {
          opacity: 1;
        }
      }
      

    @media (max-width: 768px) {
        font-size: 12px;
        width: 135px;
        height: 36px;
    }
}

// footer 

@mixin footer {
        padding-top: 100px;
    
    @media (max-width: 1440px) {
        padding-top: 90px;
    }

    @media (max-width: 1024px) {
        padding-top: 80px;
    }

    @media (max-width: 768px) {
        padding-top: 70px;
        
    }

    @media (max-width: 425px) {
        padding-top: 60px;
    }
}

@mixin footerLink {
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    color: $black;
    font-size: 20px;
}

@mixin footerText {
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    font-size: 16px;
    line-height: 1.35;
    color: $black;
}

// animation 

// background images main wok 

@mixin spinAnimate {
    content: url('../img/main/wok-animation.png');
    width: 40%;
    position: absolute;
    right: -150px;
    top: -100px;
    z-index: 1;
    -webkit-animation-name: spin;
    -webkit-animation-duration: 25000ms;
    -webkit-animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
    -moz-animation-name: spin;
    -moz-animation-duration: 25000ms;
    -moz-animation-iteration-count: infinite;
    -moz-animation-timing-function: linear;
    -ms-animation-name: spin;
    -ms-animation-duration: 25000ms;
    -ms-animation-iteration-count: infinite;
    -ms-animation-timing-function: linear;
    
    animation-name: spin;
    animation-duration: 25000ms;
    animation-iteration-count: infinite;
    animation-timing-function: linear;

    @media (max-width: 1440px) {
        right: -20%;
        width: 50%;
    }

    @media (max-width: 1024px) {
        top: -50px;
    }

    @media (max-width: 768px) {
        top: -20px;
    }
}

@-ms-keyframes spin {
    from { -ms-transform: rotate(0deg); }
    to { -ms-transform: rotate(360deg); }
}

@-moz-keyframes spin {
    from { -moz-transform: rotate(0deg); }
    to { -moz-transform: rotate(360deg); }
}

@-webkit-keyframes spin {
    from { -webkit-transform: rotate(0deg); }
    to { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
    from {
        transform:rotate(0deg);
    }
    to {
        transform:rotate(360deg);
    }
}

// background images main sushi 

@mixin sushiImage {
    width: 15%;
    position: absolute;
    top: 0;
    left: 15%;
    animation: sushi 2.0s alternate infinite ease-in;

    @media (max-width: 768px) {
        left: 40%;
    }

    @media (max-width: 425px) {
        top: 60px;
    }
}

@keyframes sushi  {
    0%   {transform: scale(1);}
    100% {transform: scale(1.1);}
}

// background images main set 

@mixin setiImage {
    position: absolute;
    width: 30%;
    top: 750px;
    left: 0%;

    @media (max-width: 1024px) {
        top: 350px;
    }

    @media (max-width: 768px) {
        top: 230px;
        left: -10%;
    }

    @media (max-width: 425px) {
        top: 200px;
    }
}

// background images others

@mixin blockImageMain {
    width: 600px;

    @media (max-width: 1440px) {
        width: 500px;
    }

    @media (max-width: 1024px) {
        width: 400px;
    }

    @media (max-width: 768px) {
        width: 300px;
    }
    
    @media (max-width: 425px) {
        width: 200px;
    }
}

@mixin blockImageRight {
    top: -250px;
    right: -10%;
    position: absolute;
    width: 600px;
    z-index: -1;
   
    @media (max-width: 1440px) {
        width: 500px;
        top: -150px;
    }

    @media (max-width: 1024px) {
        width: 400px;
        top: -100px;
        right: -15%;
    }

    @media (max-width: 768px) {
        width: 300px;
        top: -50px;
        right: -20%;
    }
    
    @media (max-width: 425px) {
        width: 200px;
        right: -30%;
    }
}

@mixin blockImageLeft {
    bottom: 0px;
    left: -10%;
    position: absolute;
    width: 600px;
    z-index: -1;

    @media (max-width: 1440px) {
        width: 500px;
    }

    @media (max-width: 1024px) {
        width: 400px;
        left: -15%;
    }

    @media (max-width: 768px) {
        width: 300px;
        left: -20%;
    }
    
    @media (max-width: 425px) {
        width: 200px;
        left: -30%;
    }
}

// modal 

@mixin modal {
    max-width: 800px;
    width: 100%;
    left: -150%;
    top: 50%;
    transform: translate(-50%, -50%);
    position: fixed;
    background-color: $white;
    border-radius: 20px;
    -webkit-box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 10px 8px 0px rgba(0, 0, 0, 0.2);
    z-index: 6;
    padding: 30px 50px;
    transition: 0.4s ease;

    @media (max-width: 1440px) {
        max-width: 670px;
        padding: 24px 40px;
    }
    
    @media (max-width: 768px) {
        max-width: 510px;
        padding: 20px 32px;
    }
    
    @media (max-width: 610px) {
        max-width: 325px;
        padding: 16px 25px;
    }
    
    @media (max-width: 425px) {
        max-width: 320px;
        padding: 13px 20px;
    }
}

@mixin formTitle {
    font-family: 'Montserrat';
    font-weight: 700; 
    font-style: normal;
    font-size: 36px;
    text-align: center;
    color: $black;

    @media (max-width: 1024px) {
        font-size: 28px;
    }

    @media (max-width: 768px) {
        font-size: 23px;
    }

    @media (max-width: 610px) {
        font-size: 18px;
    }

    @media (max-width: 425px) {
        font-size: 14px;
    }
}

// basket 

@mixin basketCardTitle {
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    font-size: 16px;
    line-height: 1.35;
    color: $black;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
    
    @media (max-width: 1024px) {
        font-size: 14px;
    }

    @media (max-width: 768px) {
        font-size: 12px;
    }

    @media (max-width: 425px) {
        font-size: 10px;
    }
}

@mixin basketControl {
    font-family: 'Montserrat';
    font-weight: 700;
    font-style: normal;
    font-size: 16px;
    line-height: 1.35;

    @media (max-width: 1024px) {
        font-size: 14px;
    }

    @media (max-width: 768px) {
        font-size: 12px;
    }

    @media (max-width: 610px) {
        font-size: 10px;
    }

    @media (max-width: 425px) {
        font-size: 8px;
    }
}

@mixin basketTotal {
    font-family: 'Montserrat';
    font-weight: 400;
    font-style: normal;
    font-size: 22px;
    line-height: 1.35;

    @media (max-width: 1024px) {
        font-size: 18px;
    }

    @media (max-width: 768px) {
        font-size: 14px;
    }

    @media (max-width: 610px) {
        font-size: 12px;
    }

    @media (max-width: 425px) {
        font-size: 10px;
    }
}

@mixin basketAmount {
    font-family: 'Montserrat';
    font-weight: 700;
    font-style: normal;
    font-size: 32px;
    line-height: 1.35;

    @media (max-width: 1024px) {
        font-size: 26px;
    }

    @media (max-width: 768px) {
        font-size: 21px;
    }

    @media (max-width: 610px) {
        font-size: 17px;
    }

    @media (max-width: 425px) {
        font-size: 14px;
    }
}

@mixin basketCardQuantity {
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    font-size: 18px;
    line-height: 1.35;
    color: $black;

    @media (max-width: 1024px) {
        font-size: 16px;
    }

    @media (max-width: 768px) {
        font-size: 13px;
    }

    @media (max-width: 610px) {
        font-size: 11px;
    }

    @media (max-width: 425px) {
        font-size: 9px;
    }
}

@mixin basketOrder {
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    font-size: 14px;
    line-height: 1.55;
    color: $white;
    background-color: $red;
    width: 150px;
    height: 45px;
    border-radius: 20px;
    text-align: center;
    border: none;
    transition: 0.4s ease;
    cursor: pointer;

    &:hover {
        scale: 1.1;
    }

    @media (max-width: 1024px) {
        font-size: 13px;
    }

    @media (max-width: 768px) {
        width: 140px;
        height: 40px;
        font-size: 12px;

        &:hover {
            scale: 1;
        }
    }

    @media (max-width: 610px) {
        width: 130px;
        height: 35px;
        font-size: 10px;
    }

    @media (max-width: 425px) {
        width: 120px;
        height: 30px;
        font-size: 8px;
    }
}

// delivery 

@mixin label {
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    font-size: 16px;
    line-height: 1.35;
    color: $black;
    margin-bottom: 10px;
    
    @media (max-width: 768px) {
        font-size: 14px;
    }

    @media (max-width: 425px) {
        font-size: 12px;
    }
}

@mixin input {
    width: 300px;
    height: 50px;
    border-radius: 20px;
    border: none;
    background-color: $cultured;
    font-family: 'Montserrat';
    font-weight: 300;
    font-style: normal;
    font-size: 14px;
    line-height: 1.55;
    color: $black;
    text-indent: 20px;

    @media (max-width: 768px) {
        width: 240px;
        height: 45px;
        text-indent: 18px;
    }

    @media (max-width: 610px) {
        width: 100%;
        height: 40px;
        font-size: 12px;
        text-indent: 14px;
    }

    @media (max-width: 425px) {
        height: 35px;
        text-indent: 10px;
    }

}

@mixin select {
    width: 300px;
    height: 50px;
    border-radius: 20px;
    border: none;
    cursor: pointer;
    background-color: $cultured;
    font-family: 'Montserrat';
    font-weight: 300;
    font-style: normal;
    font-size: 14px;
    line-height: 1.55;
    color: $black;
    text-indent: 20px;
    display: flex;
    align-items: center;

    @media (max-width: 768px) {
        width: 240px;
        height: 45px;
        text-indent: 18px;
    }

    @media (max-width: 610px) {
        width: 100%;
        height: 40px;
        font-size: 12px;
        text-indent: 14px;
    }

    @media (max-width: 425px) {
        height: 35px;
        text-indent: 10px;
    }
}

@mixin selectCustomOptions {
    font-family: 'Montserrat';
    font-weight: 300;
    font-style: normal;
    font-size: 14px;
    line-height: 1.55;
    position: absolute;
    cursor: pointer;
    width: 100%;
    background-color: $white;
    -webkit-box-shadow: 0px 0px 8px 0px rgba(34, 60, 80, 0.26);
    -moz-box-shadow: 0px 0px 8px 0px rgba(34, 60, 80, 0.26);
    box-shadow: 0px 0px 8px 0px rgba(34, 60, 80, 0.26);
    border-radius: 20px;
    top: 60px;
    z-index: 1;
    display: none;

    @media (max-width: 610px) {
        font-size: 12px;
        top: 50px;
    }

    @media (max-width: 425px) {
        top: 40px;
    }
}

@mixin selectCustomOption {
    position: relative;
    padding: 0.8rem;
    
    &:not(:last-of-type) {
        &::after {
            content: "";
            position: absolute;
            bottom: 0;
            left: 0.8rem;
            width: calc(100% - 1.6rem);
            border-bottom: 1px solid $cultured;
        }
    }
}
@mixin deliveryOrder{
    font-family: 'Montserrat';
    font-weight: bold;
    font-style: normal;
    font-size: 14px;
    line-height: 1.55;
    color: $white;
    background-color: $red;
    width: 300px;
    height: 50px;
    border-radius: 20px;
    text-align: center;
    border: none;
    transition: 0.4s ease;
    cursor: pointer;
    position: absolute;
    bottom: 0;

    &:hover {
        scale: 1.1;
    }

    @media (max-width: 1024px) {
        font-size: 13px;
    }

    @media (max-width: 768px) {
        width: 240px;
        height: 45px;
        font-size: 12px;

        &:hover {
            scale: 1;
        }
    }

    @media (max-width: 610px) {
        width: 130px;
        height: 35px;
        right: 0;
        bottom: -40px;
        font-size: 10px;
    }

    @media (max-width: 425px) {
        bottom: -35px;
    }
}


